gnutls_record_get_max_size(3)

NAME
gnutls_record_get_max_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_record_get_max_size(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the record size. The maximum record size is negotiated by the client after the first handshake message.

RETURNS
The maximum record packet size in this connection.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/